CGAL 6.1.2 - dD Triangulations: CGAL::Triangulation_ds_vertex< TriangulationDataStructure_ > Class Template Reference

CGAL 6.1.2 - dD Triangulations

Loading...
Searching...
No Matches
List of all members
CGAL::Triangulation_ds_vertex< TriangulationDataStructure_ > Class Template Reference
Reference Manual » Vertex, Face and Cell Classes

`#include <CGAL/Triangulation_ds_vertex.h>`

## Definition

template<typename TriangulationDataStructure_>
class CGAL::Triangulation_ds_vertex< TriangulationDataStructure_ >

The class `Triangulation_ds_vertex` serves as the default vertex template parameter in the class `Triangulation_data_structure<Dimensionality, TriangulationDSVertex_, TriangulationDSFullCell_>`.

This class does not contain any geometric information but only combinatorial (adjacency) information. Thus, if the `Triangulation_data_structure` is used as a parameter of a (embedded) `Triangulation`, then its vertex template parameter has to fulfill additional geometric requirements, i.e., it has to be a model of the refined concept `TriangulationVertex`.

This class can be used directly or can serve as a base to derive other classes with some additional attributes tuned for a specific application (a color for example).

Template Parameters

  TriangulationDataStructure_ | must be a model of the `TriangulationDataStructure` concept.

Is model of
  `TriangulationDSVertex`

Rebind mechanism

In case of derivation from that class, the nested class `Rebind_TDS` need to be provided in the derived class.

See also
  `Triangulation_ds_full_cell<TriangulationDataStructure_, TriangulationDSFullCellStoragePolicy>`
  `Triangulation_data_structure<Dimensionality, TriangulationDSVertex_, TriangulationDSFullCell_>`

## Validity Check
bool | is_valid (bool verbose=false) const
| This is an advanced function.

## Member Function Documentation

## ◆ is_valid()

template<typename TriangulationDataStructure_ >

bool CGAL::Triangulation_ds_vertex< TriangulationDataStructure_ >::is_valid | ( | bool | verbose = `false` | ) | const

This is an advanced function.

Advanced

Implements the validity checks required by the concept `TriangulationDSVertex`. Does not implement additional checks.